From 20ca643b73bbb80f467e63f0efd4041ba31c2e96 Mon Sep 17 00:00:00 2001
From: Quan Nguyen <qnguyen@apm.com>
Date: Thu, 27 Jul 2017 10:26:32 +0700
Subject: [PATCH] drivers: net: xgene-v2: Fix compile warning

This patch fixes the below compile warnings in kernel 4.5 by correcting xge_get_stats64() prototype:
drivers/net/ethernet/apm/xgene-v2/main.c:643:2: warning: initialization from incompatible pointer type [enabled by default]
  .ndo_get_stats64 = xge_get_stats64,
  ^
drivers/net/ethernet/apm/xgene-v2/main.c:643:2: warning: (near initialization for 'xgene_ndev_ops.ndo_get_stats64') [enabled by default]

Signed-off-by: Quan Nguyen <qnguyen@apm.com>
---
 drivers/net/ethernet/apm/xgene-v2/main.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

diff --git a/drivers/net/ethernet/apm/xgene-v2/main.c b/drivers/net/ethernet/apm/xgene-v2/main.c
index 0f2ad50..5e76579 100644
--- a/drivers/net/ethernet/apm/xgene-v2/main.c
+++ b/drivers/net/ethernet/apm/xgene-v2/main.c
@@ -620,7 +620,8 @@ out:
 	rtnl_unlock();
 }
 
-static void xge_get_stats64(struct net_device *ndev,
+static struct rtnl_link_stats64 *xge_get_stats64(
+			    struct net_device *ndev,
 			    struct rtnl_link_stats64 *storage)
 {
 	struct xge_pdata *pdata = netdev_priv(ndev);
@@ -632,6 +633,8 @@ static void xge_get_stats64(struct net_device *ndev,
 	storage->rx_packets += stats->rx_packets;
 	storage->rx_bytes += stats->rx_bytes;
 	storage->rx_errors += stats->rx_errors;
+
+	return storage;
 }
 
 static const struct net_device_ops xgene_ndev_ops = {
-- 
1.7.1

